package Getopt::Dakkar::X;
use Getopt::Dakkar::Style;
# VERSION
# ABSTRACT: exceptions

package Getopt::Dakkar::X::ExtraArgs {
    use Getopt::Dakkar::Style qw(class);
    with 'Throwable';
    has args => ( is => 'ro', isa => ArrayRef, required => 1 );
};

package Getopt::Dakkar::X::BadOption {
    use Getopt::Dakkar::Style qw(class);
    with 'Throwable';
    has input => ( is => 'ro', isa => Str, required => 1 );
};
